[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.CreateRoundRectRgn

Creates a rectangular region with rounded corners.

## Declaration

Source position: winapih.inc line 72

`public function TWidgetSet.CreateRoundRectRgn(`
`X1: Integer;`
`Y1: Integer;`
`X2: Integer;`
`Y2: Integer;`
`nWidthEllipse: Integer;`
`nHeightEllipse: Integer`
`):HRGN; virtual;`

## Arguments

`nWidthEllipse` |  | The extent of the ellipse, used for the rounded corners.
`nHeightEllipse` |  | The extent of the ellipse, used for the rounded corners.

## Function result

The region Handle, zero on failure.